import { Controller, Get, Post, Body, Param } from '@nestjs/common'
import { UsersService } from './users.service'
import { CreateUserDto } from './dto/create-user.dto'
import { ApiOkResponse, ApiTags } from '@nestjs/swagger'
import { UserEntity } from './entities/user.entity'

@ApiTags('user')
@Controller()
export class UsersController {
  constructor(private readonly userService: UsersService) {}

  // TODO: 分页
  @ApiOkResponse({ type: UserEntity, isArray: true })
  @Get('users')
  async findUsers() {
    return this.userService.findUsers()
  }

  @ApiOkResponse({ type: UserEntity })
  @Get('users/:id')
  async getUserInfo(@Param('id') id: string) {
    return this.userService.getUserInfo(id)
  }

  @Post('users')
  async createUser(@Body() userData: CreateUserDto) {
    return this.userService.createUser(userData)
  }
}
